Prospect Appointments
This endpoint returns all of a prospect's appointments, ordered by appointment start time, which are either status=CONFIRMED or status=null (e.g., appointments that are created directly within the Funnel web application).
GET
/api/v2/clients/:client_id/appointmentsResponse
Example responseJSON200 · application/json
{"data": { "appointments": [ { "status": 30, "id": 509, "start": "2019-06-24T08:00:00+00:00", "end": "2019-06-24T08:30:00+00:00", "notes": "", "location": "", "employee": { "id": 596, "photo": null, "name": "Travis Smiley" }, "client": { "id": 890, "name": "John Doe, Jane Fonda", "group": null, "person": { "id": 740, "first_name": "John", "last_name": "Doe", "is_primary": true, "email": "johndoe@name.com", "phone_1": "555-555-5555", "phone_2": "" }, "agents": [], "broker_first_name": "", "broker_last_name": "", "lead_source": "StreetEasy" }, "appointment_showings": [] } ]}}Prospect Not Found
Below is an example error response. In this example, attempting to get appointments for a prospect who does not exist.
Error responseJSON404 · application/json
{"errors": { "client": {"id": "client id=890 does not exist"}}}